Bug 1239318 - satyr parses shared objects files as source file names in uncommon GDB backtraces
Summary: satyr parses shared objects files as source file names in uncommon GDB backtr...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: satyr
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ab3043dae5e28dc559126a5ef31...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-05 16:20 UTC by Tong Hui
Modified: 2015-09-24 08:22 UTC (History)
12 users (show)

Fixed In Version: 2.6.2-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 08:22:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.68 KB, text/plain)
2015-07-05 16:20 UTC, Tong Hui
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-05 16:20 UTC, Tong Hui
no flags Details
File: core_backtrace (12.09 KB, text/plain)
2015-07-05 16:20 UTC, Tong Hui
no flags Details
File: dso_list (11.66 KB, text/plain)
2015-07-05 16:20 UTC, Tong Hui
no flags Details
File: environ (1.01 KB, text/plain)
2015-07-05 16:20 UTC, Tong Hui
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-05 16:20 UTC, Tong Hui
no flags Details
File: maps (53.80 KB, text/plain)
2015-07-05 16:21 UTC, Tong Hui
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-07-05 16:21 UTC, Tong Hui
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-05 16:21 UTC, Tong Hui
no flags Details
File: open_fds (774 bytes, text/plain)
2015-07-05 16:21 UTC, Tong Hui
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2015-07-05 16:21 UTC, Tong Hui
no flags Details

Description Tong Hui 2015-07-05 16:20:47 UTC
Version-Release number of selected component:
epiphany-3.16.2-1.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        /usr/libexec/epiphany-search-provider
crash_function: _dbus_list_foreach
executable:     /usr/libexec/epiphany-search-provider
global_pid:     2845
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 _dbus_list_foreach at /lib64/libdbus-1.so.3
 #1 dbus_message_unref at /lib64/libdbus-1.so.3
 #3 avahi_address_resolver_new at /lib64/libavahi-client.so.3
 #4 g_poll at /lib64/libglib-2.0.so.0

Comment 1 Tong Hui 2015-07-05 16:20:51 UTC
Created attachment 1046281 [details]
File: backtrace

Comment 2 Tong Hui 2015-07-05 16:20:52 UTC
Created attachment 1046282 [details]
File: cgroup

Comment 3 Tong Hui 2015-07-05 16:20:54 UTC
Created attachment 1046283 [details]
File: core_backtrace

Comment 4 Tong Hui 2015-07-05 16:20:56 UTC
Created attachment 1046284 [details]
File: dso_list

Comment 5 Tong Hui 2015-07-05 16:20:57 UTC
Created attachment 1046285 [details]
File: environ

Comment 6 Tong Hui 2015-07-05 16:20:58 UTC
Created attachment 1046286 [details]
File: limits

Comment 7 Tong Hui 2015-07-05 16:21:02 UTC
Created attachment 1046287 [details]
File: maps

Comment 8 Tong Hui 2015-07-05 16:21:03 UTC
Created attachment 1046288 [details]
File: mountinfo

Comment 9 Tong Hui 2015-07-05 16:21:05 UTC
Created attachment 1046289 [details]
File: namespaces

Comment 10 Tong Hui 2015-07-05 16:21:06 UTC
Created attachment 1046290 [details]
File: open_fds

Comment 11 Tong Hui 2015-07-05 16:21:07 UTC
Created attachment 1046291 [details]
File: proc_pid_status

Comment 12 Michael Catanzaro 2015-07-05 16:33:50 UTC
Looks like abrt filed a bug without downloading debuginfo again. :(

Comment 13 Marek Bryša 2015-07-07 08:52:58 UTC
ABRT shouldn't have allowed reporting this bug with a low quality backtrace. It seems that the format of GDB backtraces changed slightly which confuses our parser.
Quality is calculated in satyr using sr_gdb_thread_quality_counts() which marks as good quality every frame that has a function name and source file. However sr_gdb_frame_parse_file_location() parses the frame's " at  /lib64/libglib-2.0.so.0" as a valid source file which it is not.

Comment 14 Marek Bryša 2015-07-08 04:44:24 UTC
Upstream pull request: https://github.com/abrt/satyr/pull/232

Comment 16 Fedora Update System 2015-09-17 14:46:22 UTC
satyr-0.20-1.fc22 libreport-2.6.2-4.fc22 abrt-2.6.1-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16098

Comment 17 Fedora Update System 2015-09-18 16:24:13 UTC
abrt-2.6.1-5.fc22, libreport-2.6.2-4.fc22, satyr-0.20-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update abrt libreport satyr'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16098

Comment 18 Fedora Update System 2015-09-24 08:22:16 UTC
abrt-2.6.1-5.fc22, libreport-2.6.2-4.fc22, satyr-0.20-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.